body {
    margin: 0px;
    padding: 0px;
}

.container, .table {
    color: rgb(230, 230, 230);
    padding-top: 15px;
}

.container {
    overflow: auto;
}

.modal-body
{
	text-align: center;
}

.modal-body button
{
	margin-bottom: 10px;
}

.inputStyle {
    margin-right: 10px !important;
    margin-bottom: 10px !important;
    border-radius: 0.25rem !important;
    min-width: 100px !important;
}

changelogheader {
	width: 100%;
	display: block;
	text-align: center;
	font-size: 1.05rem;
	padding: 0px 15px 0px 15px;
}

.logHeader
{
	display: block;
	margin-bottom: 10px;
	font-size: 1.1rem;
	margin-top: 20px;
}

.loghr
{
	background-color: white;
	margin: 15px 15px 0px 15px;
}

logItem
{
	display: block;
	margin-bottom: 7px;
}

tr td h2, tr td h3
{
	font-size: 1rem;
}

.table th {
    border-top: 0px !important;
}

tbody tr td
{
	overflow: hidden;
	text-overflow: ellipsis;
}
.fbtn
{
	margin-bottom: 10px;
	margin-right: 5px;
}

.sbtn
{
	margin-bottom: 10px;
}

.btn-teal
{
	color: #fff;
	background-color: teal;
	border-color: teal;
}
.btn-teal:hover
{
	color: #fff;
	background-color: #006666;
	border-color: #006666;
}
.btn-teal:focus
{
	box-shadow: 0 0 0 .2rem #006666;
}

@font-face {
    font-family: VeganFont;
    src: url('../font/vegan.ttf');
	font-display: swap;
}

@font-face {
    font-family: ComicSans;
    src: url('../font/Comic.ttf');
	font-display: swap;
}

table tbody {
    display: block;
}

    table thead, table tbody tr {
        display: table;
        width: 100%;
        table-layout: fixed;
    }

@-webkit-keyframes AnimationName {
    0% {
        background-position: 0% 50%
    }

    50% {
        background-position: 100% 50%
    }

    100% {
        background-position: 0% 50%
    }
}

@-moz-keyframes AnimationName {
    0% {
        background-position: 0% 50%
    }

    50% {
        background-position: 100% 50%
    }

    100% {
        background-position: 0% 50%
    }
}

@keyframes AnimationName {
    0% {
        background-position: 0% 50%
    }

    50% {
        background-position: 100% 50%
    }

    100% {
        background-position: 0% 50%
    }
}


.Notification
{
	position: fixed;
	bottom: 10px;
	left: -100px;
	animation: ShowNotification 3s ease-in forwards;
	transition: left 0.6s;
	background-color: black;
	padding: 5px 10px;
	border-radius: 5px;
	font-family: ComicSans;
	z-index: 1060;
}

.Notification.success
{
	color: #1aff1a;
}

.Notification.error
{
	color: #e6e600;
}

.emphasize {
    -webkit-animation: DonateAnimation 1.1s ease-in-out infinite alternate;
    -moz-animation: DonateAnimation 1.1s ease-in-out infinite alternate;
    animation: DonateAnimation 1.1s ease-in-out infinite alternate;
}

tbody tr
{
	transition: background-color 0.6s;
}

tbody tr:hover
{
	background-color: black;
}

@keyframes ShowNotification
{
	10%
	{
		left: 10px;
	}
	90%
	{
		opacity: 1;
		left: 10px;
	}
	100%
	{	
		left: 10px;
		opacity: 0;
		visibility: hidden;
	}
}

@keyframes DonateAnimation {
    to {
        transform: scale(0.75);
    }

    from {
        transform: scale(1);
        box-shadow: 0 0 10px #fff, 0 0 20px #fff, 0 0 30px #e60073, 0 0 40px #e60073, 0 0 50px #e60073, 0 0 60px #e60073, 0 0 70px #e60073;
    }
}

.holder {
    padding: 0px;
    margin: 0px;
    height: 100.0vh;
    width: 100.0vw;
    overflow: auto;
    background: linear-gradient(240deg, #13406c, #0e584c, #5c1135);
    background-size: 200vw 200vh;
    background-repeat: no-repeat;
    -webkit-animation: AnimationName 30s ease infinite;
    -moz-animation: AnimationName 30s ease infinite;
    animation: AnimationName 30s ease infinite;
}

.telegram
{
	position: fixed;
	width: 45px;
	height: 45px;
	bottom: 110px;
	right: 13px;
	cursor: pointer;
	z-index: 1;
}
.guide
{
	position: fixed;
	width: 47px;
	height: 45px;
	bottom: 61px;
	right: 13px;
	cursor: pointer;
	z-index: 1;
}
.liteyt
{
	position: fixed;
	width: 45px;
	height: 45px;
	bottom: 12px;
	right: 13px;
	cursor: pointer;
	z-index: 1;
	border-radius: 50%;
	border: 2px solid purple;
}

iframe
{
	border-radius: 6px;
}

.floatingthingy
{
	bottom: 8px;
	right: 8px;
	border-radius: 40px;
	position: fixed;
	background-color: rgba(255, 255, 255, 0.8);
	width: 55px;
	height: 152px;
	z-index: 0;
}

@media (pointer: fine) {
    ::-webkit-scrollbar
	{
		width: 15px;
	}
	::-webkit-scrollbar-thumb
	{
		background-color: grey;
		border: 4px solid transparent;
		border-radius: 20px;
		background-clip: content-box;
	}
	.table tr:first-child
	{
		margin-top: -1px;
	}
}

.databasesBox {
	position: fixed;
	top: 10px;
	right: 20px;
	height: 30px;
	background-color: rgba(0, 0, 0, 0.3);
	transition: height 0.2s ease;
	overflow: hidden;
	font-family: ComicSans;
	color: white;
	padding: 5px 10px;
	border-radius: 4px;
	text-align: center;
	user-select: none;
}
.databasesBox:hover {
	height: 182px;
}

.databasesBox hr {
	background-color: white;
	border-top: 2px solid rgba(0, 0, 0, 0.1);
	margin-top: 0;
	margin-bottom: 0px;
}
.databasesText {
	margin-top: 4px;
	height: 137px;
	overflow: auto;
	font-size: 0.85rem;
}
.databasesText a {
	color: #e4ebe9;
	display: block;
	font-family: ComicSans;
	margin-bottom: 2px;
	font-weight: bold;	
	border-bottom: 2px solid white;
	padding-bottom: 3px;
	transition: transform 0.2s ease;
	text-decoration: unset;
}

.databasesText a:hover {
	transform: scale(0.95);
}
